%global srcname flatpak-module-tools

Name:		%{srcname}
Version:	0.8.1
Release:	1%{?dist}
Summary:	Tools for maintaining Flatpak applications and runtimes as Fedora modules

License:	MIT
URL:		https://pagure.io/flatpak-module-tools
Source0:	https://releases.pagure.org/flatpak-module-tools/flatpak-module-tools-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-setuptools
BuildRequires:	python3-devel
BuildRequires:	python2-setuptools
BuildRequires:	python2-devel

Requires: module-build-service >= 2.0.2
Requires: python3-%{srcname} = %{version}-%{release}
Requires: python3-click
Requires: python3-koji
Requires: python3-requests

%description
flatpak-module-tools is a set of command line tools (all accessed via a single
'flatpak-module' executable) for operations related to maintaining Flatpak
applications and runtimes as Fedora modules.

%package -n python3-%{srcname}
Summary: Shared code for building Flatpak applications and runtimes from Fedora modules

# Note - pythonN-flatpak-modules-tools subpackage contains all the Python files from
# the upstream distribution, but some of them are only useful for the CLI, not
# for using this as a library for atomic-reactor. The dependencies here are those
# needed for library usage, the main package has the remainder.

Requires: libmodulemd
Requires: python3-gobject-base
Requires: python3-jinja2
Requires: python3-six
Requires: python3-yaml

%package -n python2-%{srcname}
Summary: Shared code for building Flatpak applications and runtimes from Fedora modules

Requires: libmodulemd
Requires: python2-gobject-base
Requires: python2-jinja2
Requires: python2-six
Requires: python2-yaml

%description -n python3-%{srcname}
Python3 library for Flatpak handling

%description -n python2-%{srcname}
Python2 library for Flatpak handling

%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files
%license LICENSE
%doc README.md
%{_bindir}/flatpak-module


%files -n python2-%{srcname}
%license LICENSE
%{python2_sitelib}/*


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/*

%changelog
* Tue Aug 21 2018 Owen Taylor <otaylor@redhat.com> - 0.8.1-1
- Version 0.8.1 - bug fixes

* Fri Aug 10 2018 Owen Taylor <otaylor@redhat.com> - 0.8-1
- Version 0.8 - bug fixes and command line convenience

* Tue Jul 31 2018 Owen Taylor <otaylor@redhat.com> - 0.6-1
- Version 0.6 (improve container.yaml support)
- Build for Python2 as well
- Split out python<N>-flatpak-module-tools subpackages

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4-2
- Rebuilt for Python 3.7

* Fri Jun  1 2018 Owen Taylor <otaylor@redhat.com> - 0.4-1
- Version 0.4 (fix container builds from Koji)

* Thu May 31 2018 Owen Taylor <otaylor@redhat.com> - 0.3-1
- Version 0.3 (minor fixes)

* Tue May 22 2018 Owen W. Taylor <otaylor@fishsoup.net> - 0.2-1
- Initial version
